Bug 1262511 - koji depends on python-krbV convert to python-gssapi
koji depends on python-krbV convert to python-gssapi
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
24
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mike McLean
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 967086
  Show dependency treegraph
 
Reported: 2015-09-11 20:20 EDT by Ben Woodard
Modified: 2017-08-08 08:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:13:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Woodard 2015-09-11 20:20:43 EDT
Description of problem:
koji currently uses python-krbV for authentication. python-krbV appears to be a dead project and has not been updated to support python3 and furthermore it fundamentally doesn't support cross realm authentication. This is a problem for LLNL which needs cross realm authentication to allow users from other national labs to be able to login to their build farm where they can build their scientific apps.

To solve both the Python3 problem and the cross realm authentication problem it would be best if koji were modified to use a newer better maintained authentication class, it seems that the best choice at the moment is python-gssapi.
Comment 2 Ben Woodard 2015-09-11 20:25:14 EDT
see also https://bugzilla.redhat.com/show_bug.cgi?id=1262499

Not really sure which is the "right" approach but it seems like it would be more effective to move koji forward to make use of a well maintained python authentication module as opposed to resurrecting a dead project just to teach it new tricks.
Comment 3 Jan Kurik 2016-02-24 10:36:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora Admin XMLRPC Client 2016-03-10 09:46:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2017-07-25 15:16:01 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-08-08 08:13:53 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.